StandardSessionIdGenerator (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.catalina.util, class: StandardSessionIdGenerator

# Class StandardSessionIdGenerator

java.lang.Object
org.apache.catalina.util.LifecycleBase
org.apache.catalina.util.SessionIdGeneratorBase
org.apache.catalina.util.StandardSessionIdGenerator

All Implemented Interfaces:
  `Lifecycle, SessionIdGenerator`

public class StandardSessionIdGenerator extends SessionIdGeneratorBase
Standard implementation of `SessionIdGenerator` that generates session identifiers using a pool of `SecureRandom` instances.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Lifecycle

  `Lifecycle.SingleUse`

- ## Field Summary

  ### Fields inherited from class SessionIdGeneratorBase

  `DEFAULT_SECURE_RANDOM_ALGORITHM`

  ### Fields inherited from interface Lifecycle

  `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandardSessionIdGenerator()`
  Construct a new instance with default configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `generateSessionId(String route)`
  Generate and return a new session identifier.

  ### Methods inherited from class SessionIdGeneratorBase

  `destroyInternal, generateSessionId, getJvmRoute, getRandomBytes, getSecureRandomAlgorithm, getSecureRandomClass, getSecureRandomProvider, getSessionIdLength, initInternal, setJvmRoute, setSecureRandomAlgorithm, setSecureRandomClass, setSecureRandomProvider, setSessionIdLength, startInternal, stopInternal`

  ### Methods inherited from class LifecycleBase

  `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, getThrowOnFailure, init, removeLifecycleListener, setState, setState, setThrowOnFailure, start, stop`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StandardSessionIdGenerator

    public StandardSessionIdGenerator()
    Construct a new instance with default configuration.

- ## Method Details

  - ### generateSessionId

    public String generateSessionId(String route)
    Description copied from interface: `SessionIdGenerator`
    Generate and return a new session identifier.
    Parameters:
      `route` - node identifier to include in generated id
    Returns:
      the newly generated session id